# TrustedApplication

## Creates a new TrustedApplication.

> Only administrators can create TrustedApplications.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/TrustedApplication/{strToken}":{"post":{"tags":["TrustedApplication"],"summary":"Creates a new TrustedApplication.","description":"Only administrators can create TrustedApplications.","operationId":"TrustedApplication-CreateTrustedApplication","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The TrustedApplication specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrustedApplicationSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTrustedApplicationResponse"}}}}}}}},"components":{"schemas":{"TrustedApplicationSpecs":{"required":["authorizationToken","isEnabled","name"],"type":"object","properties":{"trustedApplicationID":{"type":"string","description":"TrustedApplication ID. Unique and assigned by the system.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"tenantID":{"type":"string","description":"Tenant ID this TrustedApplication belongs to.\r\nRequired during Create operations. Returned during Get operations.","nullable":true},"name":{"maxLength":255,"minLength":1,"type":"string","description":"Name of the TrustedApplication. Must be unique within the tenant.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"description":{"maxLength":1000,"type":"string","description":"Description of the TrustedApplication.\r\nOptional during Create and Update operations.\r\nReturned during Get operations.","nullable":true},"baseUrl":{"maxLength":500,"type":"string","description":"Base URL of the TrustedApplication.\r\nOptional during Create and Update operations.\r\nReturned during Get operations.","nullable":true},"authorizationToken":{"maxLength":1000,"minLength":1,"type":"string","description":"Authorization token for the TrustedApplication.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"isEnabled":{"type":"boolean","description":"Whether the TrustedApplication is enabled.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"createdByUserID":{"type":"string","description":"User ID who created this TrustedApplication.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"lastModifiedByUserID":{"type":"string","description":"User ID who last modified this TrustedApplication.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a TrustedApplication object."},"CreateTrustedApplicationResponse":{"type":"object","properties":{"trustedApplication":{"$ref":"#/components/schemas/TrustedApplicationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Create TrustedApplication request."}}}}
````

## Gets a TrustedApplication by ID.

> Only administrators can get TrustedApplications.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/TrustedApplication/{strToken}/{strTrustedApplicationID}":{"get":{"tags":["TrustedApplication"],"summary":"Gets a TrustedApplication by ID.","description":"Only administrators can get TrustedApplications.","operationId":"TrustedApplication-GetTrustedApplication","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strTrustedApplicationID","in":"path","description":"The TrustedApplication ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTrustedApplicationResponse"}}}}}}}},"components":{"schemas":{"GetTrustedApplicationResponse":{"type":"object","properties":{"trustedApplication":{"$ref":"#/components/schemas/TrustedApplicationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Get TrustedApplication request."},"TrustedApplicationSpecs":{"required":["authorizationToken","isEnabled","name"],"type":"object","properties":{"trustedApplicationID":{"type":"string","description":"TrustedApplication ID. Unique and assigned by the system.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"tenantID":{"type":"string","description":"Tenant ID this TrustedApplication belongs to.\r\nRequired during Create operations. Returned during Get operations.","nullable":true},"name":{"maxLength":255,"minLength":1,"type":"string","description":"Name of the TrustedApplication. Must be unique within the tenant.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"description":{"maxLength":1000,"type":"string","description":"Description of the TrustedApplication.\r\nOptional during Create and Update operations.\r\nReturned during Get operations.","nullable":true},"baseUrl":{"maxLength":500,"type":"string","description":"Base URL of the TrustedApplication.\r\nOptional during Create and Update operations.\r\nReturned during Get operations.","nullable":true},"authorizationToken":{"maxLength":1000,"minLength":1,"type":"string","description":"Authorization token for the TrustedApplication.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"isEnabled":{"type":"boolean","description":"Whether the TrustedApplication is enabled.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"createdByUserID":{"type":"string","description":"User ID who created this TrustedApplication.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"lastModifiedByUserID":{"type":"string","description":"User ID who last modified this TrustedApplication.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a TrustedApplication object."}}}}
````

## Deletes a TrustedApplication.

> Only administrators can delete TrustedApplications.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/TrustedApplication/{strToken}/{strTrustedApplicationID}":{"delete":{"tags":["TrustedApplication"],"summary":"Deletes a TrustedApplication.","description":"Only administrators can delete TrustedApplications.","operationId":"TrustedApplication-DeleteTrustedApplication","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strTrustedApplicationID","in":"path","description":"The TrustedApplication ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## Updates an existing TrustedApplication.

> Only administrators can update TrustedApplications.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/TrustedApplication/{strToken}/{strTrustedApplicationID}":{"patch":{"tags":["TrustedApplication"],"summary":"Updates an existing TrustedApplication.","description":"Only administrators can update TrustedApplications.","operationId":"TrustedApplication-UpdateTrustedApplication","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strTrustedApplicationID","in":"path","description":"The TrustedApplication ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The updated TrustedApplication specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrustedApplicationSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTrustedApplicationResponse"}}}}}}}},"components":{"schemas":{"TrustedApplicationSpecs":{"required":["authorizationToken","isEnabled","name"],"type":"object","properties":{"trustedApplicationID":{"type":"string","description":"TrustedApplication ID. Unique and assigned by the system.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"tenantID":{"type":"string","description":"Tenant ID this TrustedApplication belongs to.\r\nRequired during Create operations. Returned during Get operations.","nullable":true},"name":{"maxLength":255,"minLength":1,"type":"string","description":"Name of the TrustedApplication. Must be unique within the tenant.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"description":{"maxLength":1000,"type":"string","description":"Description of the TrustedApplication.\r\nOptional during Create and Update operations.\r\nReturned during Get operations.","nullable":true},"baseUrl":{"maxLength":500,"type":"string","description":"Base URL of the TrustedApplication.\r\nOptional during Create and Update operations.\r\nReturned during Get operations.","nullable":true},"authorizationToken":{"maxLength":1000,"minLength":1,"type":"string","description":"Authorization token for the TrustedApplication.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"isEnabled":{"type":"boolean","description":"Whether the TrustedApplication is enabled.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"createdByUserID":{"type":"string","description":"User ID who created this TrustedApplication.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"lastModifiedByUserID":{"type":"string","description":"User ID who last modified this TrustedApplication.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a TrustedApplication object."},"UpdateTrustedApplicationResponse":{"type":"object","properties":{"trustedApplication":{"$ref":"#/components/schemas/TrustedApplicationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Update TrustedApplication request."}}}}
````

## Lists all TrustedApplications for the current tenant.

> Only administrators can list TrustedApplications.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/TrustedApplications/{strToken}":{"get":{"tags":["TrustedApplication"],"summary":"Lists all TrustedApplications for the current tenant.","description":"Only administrators can list TrustedApplications.","operationId":"TrustedApplication-ListTrustedApplications","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTrustedApplicationsResponse"}}}}}}}},"components":{"schemas":{"ListTrustedApplicationsResponse":{"type":"object","properties":{"trustedApplications":{"type":"array","items":{"$ref":"#/components/schemas/TrustedApplicationSpecs"},"description":"List of TrustedApplication objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List TrustedApplications request."},"TrustedApplicationSpecs":{"required":["authorizationToken","isEnabled","name"],"type":"object","properties":{"trustedApplicationID":{"type":"string","description":"TrustedApplication ID. Unique and assigned by the system.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"tenantID":{"type":"string","description":"Tenant ID this TrustedApplication belongs to.\r\nRequired during Create operations. Returned during Get operations.","nullable":true},"name":{"maxLength":255,"minLength":1,"type":"string","description":"Name of the TrustedApplication. Must be unique within the tenant.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"description":{"maxLength":1000,"type":"string","description":"Description of the TrustedApplication.\r\nOptional during Create and Update operations.\r\nReturned during Get operations.","nullable":true},"baseUrl":{"maxLength":500,"type":"string","description":"Base URL of the TrustedApplication.\r\nOptional during Create and Update operations.\r\nReturned during Get operations.","nullable":true},"authorizationToken":{"maxLength":1000,"minLength":1,"type":"string","description":"Authorization token for the TrustedApplication.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"isEnabled":{"type":"boolean","description":"Whether the TrustedApplication is enabled.\r\nRequired during Create operations. Used during Update operations.\r\nReturned during Get operations."},"createdByUserID":{"type":"string","description":"User ID who created this TrustedApplication.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"lastModifiedByUserID":{"type":"string","description":"User ID who last modified this TrustedApplication.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a TrustedApplication object."}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aisuru.com/api-en/backend/trustedapplication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
